<mat-toolbar color="primary">
  <button mat-icon-button (click)="drawer.toggle()">
    <mat-icon>menu</mat-icon>
  </button>

  Annonces
</mat-toolbar>

<mat-drawer-container autosize>
  <mat-drawer #drawer mode="side" style="padding: 8px">
    <button mat-raised-button routerLink="/annonces/nouvelle" (click)="drawer.toggle()" color="accent">
      Nouvelle annonce
    </button>
  </mat-drawer>

  <main style="padding: 16px">
    <router-outlet></router-outlet>
  </main>

</mat-drawer-container>